Skip to content
On this page

Create KCCA Trading Licence Verification Request ​

Accepts requests for creating KCCA licence Verification Request.

Endpoint ​

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/kcca/api/verifylicense?v=2.0
Productionhttps://api.streamline.laboremus.ug/kcca/api/verifylicense?v=2.0

Request ​

Request Type : POST ​

Authorization ​

All requests must be authenticated using OAuth 2.0 Client Credentials. Follow the steps in the Authentication section to obtain an access token.

Header Parameters ​

NameTypeRequiredDescription
Bearerstring(JWT Token)yesAn access token

Content type

application/json

Request Body ​

NameTypeRequiredDescription
applicationReferencestring or nullnoThe reference of a given application.

Example Request Body ​

json
{
	"applicationReference": "string"
}
{
	"applicationReference": "string"
}

Response ​

Content type

application/json

Response Values ​

NameTypeDescription
idstring (uuid)A Guid / uuid / A set of unique Alphanumerical characters assigned to this verification request.
requestUristring or nullThe URL to find the request
statusstring(Enum : Pending,Successful,Failed)Status of the request sent to verify

Example Response Body ​

json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "requestUri": "string",
  "status": "Pending"
}
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "requestUri": "string",
  "status": "Pending"
}

Error Response ​

400 Bad Request

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

401 Unauthorized

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

403 Forbidden

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

404 Not Found

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

500 Server Error

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

Tech Served Right